Summary: A clock for the X Window System
Name: xdaliclock
Version: 2.37
Release: 1
Group: Amusements/Graphics
License: BSD
URL: http://www.jwz.org/xdaliclock/
Source0: http://www.jwz.org/xdaliclock/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
XDaliClock is a large digital clock for the X Window System, with digits
that "melt" into their new shapes when the time changes. XDaliClock
supports 12 and 24 hour modes, and displays the date when you hold a mouse
button down over it. It also can be configured to do colormap cycling, and
for window transparency.


%prep
%setup -q


%build
cd X11

./configure \
    --prefix=%{_prefix} \
    --with-x

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
cd X11

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/X11/app-defaults

cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cp %{name}.man ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cp XDaliClock.ad ${RPM_BUILD_ROOT}%{_libdir}/X11/app-defaults/XDaliClock
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/X11/app-defaults/XDaliClock

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/X11/app-defaults/XDaliClock
%attr(0644,root,system) /etc/X11/applnk/Graphics/%{name}.desktop
/usr/bin/*


%changelog
* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 2.37-1
- updated to version 2.37

* Thu Apr 19 2012 Michael Perzl <michael@perzl.org> - 2.35-1
- updated to version 2.35

* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 2.25-1
- first version for AIX V5.1 and higher
